Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225349 - /dev/cdrom is sometimes mapped to /dev/hdc some other times to /dev/hdd
Summary: /dev/cdrom is sometimes mapped to /dev/hdc some other times to /dev/hdd
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 6
Hardware: athlon
OS: Linux
medium
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 00:15 UTC by Krzysztof Dubowik
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-24 10:28:18 UTC


Attachments (Terms of Use)

Description Krzysztof Dubowik 2007-01-30 00:15:05 UTC
Description of problem:
Sylink /dev/cdrom changes randomly after system restarts. Sometimes it points to
/dev/hdc, sometimes to /dev/hdd. My /dev/hdc is a DVDROM, /dev/hdd is a DVDRW.
Here's a fragent of dmesg output

Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller at PCI slot 0000:00:0f.1
ACPI: PCI Interrupt Link [ALKA] BIOS reported IRQ 0, using IRQ 20
ACPI: PCI Interrupt Link [ALKA] enabled at IRQ 20
ACPI: PCI Interrupt 0000:00:0f.1[A] -> Link [ALKA] -> GSI 20 (level, low) -> IRQ 16
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt8237 (rev 00) IDE UDMA133 controller on pci0000:00:0f.1
    ide0: BM-DMA at 0xa800-0xa807, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xa808-0xa80f, BIOS settings: hdc:DMA, hdd:DMA
Probing IDE interface ide0...
hda: ST330621A, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: _NEC DV-5800A, ATAPI CD/DVD-ROM drive
hdd: LITE-ON DVDRW SOHW-1653S, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 58633344 sectors (30020 MB) w/512KiB Cache, CHS=58168/16/63, UDMA(100)
hda: cache flushes not supported
 hda: hda1 hda2 hda3 < hda5 hda6 hda7 >


Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2895.fc6
udev-095-17.fc6
initscripts-8.45.7-1


How reproducible:
randomly, but often (link changes every 2-3 reboots)


Steps to Reproduce:
1. Reboot system
2. ls -l /dev/cdrom
  
Actual results:
The symlink changes from /dev/hdc to /dev/hdd and back across reboots

Expected results:
The symlink always points to /dev/hdc

Comment 1 Krzysztof Dubowik 2007-01-30 00:17:36 UTC
[kite@eagle ~]$ cat /proc/sys/dev/cdrom/info
CD-ROM information, Id: cdrom.c 3.20 2003/12/17

drive name:             hdd     hdc
drive speed:            8       20
drive # of slots:       1       1
Can close tray:         1       1
Can open tray:          1       1
Can lock tray:          1       1
Can change speed:       1       1
Can select disk:        0       0
Can read multisession:  1       1
Can read MCN:           1       1
Reports media changed:  1       1
Can play audio:         1       1
Can write CD-R:         1       0
Can write CD-RW:        1       0
Can read DVD:           1       1
Can write DVD-R:        1       0
Can write DVD-RAM:      0       0
Can read MRW:           1       1
Can write MRW:          1       1
Can write RAM:          1       0


Comment 2 Harald Hoyer 2007-08-24 10:28:18 UTC
fixed with F-8


Note You need to log in before you can comment on or make changes to this bug.